# Generated by Django 3.2.8 on 2021-10-30 16:52

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Specialization',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('spec_name', models.CharField(max_length=100, verbose_name='spec_name')),
            ],
        ),
        migrations.CreateModel(
            name='Group',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('group_name', models.CharField(max_length=50, verbose_name='group_name')),
                ('specialization', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='webapp.specialization', verbose_name='specialization')),
                ('students', models.ManyToManyField(related_name='students', to=settings.AUTH_USER_MODEL, verbose_name='students')),
            ],
        ),
        migrations.CreateModel(
            name='Course',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=50, verbose_name='title')),
                ('description', models.TextField(max_length=2000, verbose_name='description')),
                ('start_date', models.DateField(verbose_name='Start date')),
                ('group', models.ManyToManyField(related_name='groups', to='webapp.Group', verbose_name='group')),
                ('teacher', models.ForeignKey(default=1, on_delete=django.db.models.deletion.SET_DEFAULT, to=settings.AUTH_USER_MODEL, verbose_name='teacher')),
            ],
        ),
        migrations.CreateModel(
            name='Class',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=100, verbose_name='title')),
                ('description', models.TextField(max_length=2000, verbose_name='description')),
                ('file', models.FileField(upload_to='uploads/')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('course', models.ManyToManyField(related_name='courses', to='webapp.Course', verbose_name='course')),
            ],
        ),
    ]
