from typing import List
from django.shortcuts import render 
from django.urls.base import reverse_lazy
from django.views.generic import ListView, CreateView, UpdateView, DetailView, DeleteView


from webapp.models import Course


class CoursesListView(ListView):
    model = Course
    context_object_name = 'courses'
    template_name = 'courses/courses_list.html'
    paginate_by = 9


class CourseDetailView(DetailView):
    model = Course 
    template_name = 'courses/detail.html'
    pk_url_kwarg = 'course_pk'


class CourseDeleteView(DeleteView): 
    model = Course 
    template_name = 'courses/delete.html'
    success_url = reverse_lazy('courses_list')


